/*
 * File name: Lab05.java
 * Date:      2014/08/26 15:32
 * Author:    @author
 */

package cz.cvut.fel.pr1;

import java.util.Scanner;

public class Lab05 {

    // Zakladni prace s textovym retezcem
    public void part1() {
        String integerText = "100";
        String doubleText = "100.0";

        System.out.println("integerText '" + integerText + "' int: " + TextIO.isInteger(integerText) + " double:" + TextIO.isDouble(integerText));
        System.out.println("doubleText '" + doubleText + "' int: " + TextIO.isInteger(doubleText) + " double:" + TextIO.isDouble(doubleText));
    }

    // Nacteni standardniho vstupu a prevod retezce na zakladni datovy typ
    public void part2() {
        Scanner scan = new Scanner(System.in);
        System.out.print("Type a number or text (and press enter): ");
        String line = scan.nextLine();
        if (TextIO.isInteger(line)) {
            System.out.println("Typed text \"" + line + "\" is integer");
        } else if (TextIO.isDouble(line)) {
            System.out.println("Typed text \"" + line + "\" is double");
        } else {
            System.err.println("Read line '" + line + "' is not integer nor double number");
        }
    }

    //Zpracovani argumentu programu
    public void part3(String[] args) {
        if (args.length > 0) { //pro rozsireni programu o uvazovani argumentu programu jako PART, nezapoment
            // uvazovat druhy argument, tj. prvek cislo 1
            String firstArgument = args[0]; //pole retezcu, zacina od nuly
            String result = TextIO.isInteger(firstArgument) || TextIO.isDouble(firstArgument) ? "it is a number" : "it is not a number";
            System.out.println("First program argument is \"" + firstArgument + "\" and " + result + "!");
        } else {
            System.err.println("At least one program argument is required");
        }
    }

    public void start(String[] args) {
        final int PART = 1;

        switch (PART) {
            case 1:
                part1();
                break;
            case 2:
                part2();
                break;
            case 3:
                part3(args);
                break;
        }
    }
}
